@import "bootstrap";

* {
  font-family: "Montserrat", serif;
}

.justified{
  text-align: justify;
}

a{
  text-decoration: none;
  cursor: pointer;
}

li>a {
  text-decoration: none;
  color: black;
  cursor: pointer;
  font-size: 11px;
}

.custom-title {
  font-size: 90px;
  font-weight: bold;
}

footer>a {
  cursor: pointer;
  color: black;
}

a>i {
  cursor: pointer;
  color: rgb(255, 255, 255);
}

:root {
  --primary-color: #ebdccd;
  --secondary-color: #ae92c1;
  --info-color: #dc6510;
  --danger-color: #541360;
  --warning-color: #fbf4f4;
  --success-color: #bc0148;
}

.bg-primary {
  background-color: var(--primary-color) !important;
}

.bg-secondary {
  background-color: var(--secondary-color) !important;
}

.bg-warning {
  background-color: var(--warning-color) !important;
}

.bg-info{
  background-color: var(--info-color) !important;
}

.text-danger {
  color: var(--danger-color) !important;
}

.text-secondary {
  color: var(--secondary-color) !important;
}

.text-info {
  color: var(--info-color) !important;
}

.btn-success {
  border-radius: 0%;
  background-color: #1ed760 !important;
}


.navbar-custom {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-container{
    position: relative;
    height: 100vh;
    overflow: hidden;
    background-color: #ffffff;
}

.video-hero{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  object-fit: cover; /* Riempie tutto lo schermo */
  z-index: 0;       /* Dietro al contenuto */
  opacity: 0.7;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
  user-select: none;
}

.content{
  position: relative;
  z-index: 1
}

.hero {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.nav-links {
  list-style: none;
}

.text-custom {
  font-family: "Baskervville", serif;
  font-weight: 400;
}

.separator {
  height: 3px;
  background-color: #ae92c1;
  width: 55%;
  border-radius: 50px;
  margin-inline: auto;
}

.nav-hover {
  font-size: 13px;
  transition: transform 0.2s ease;
}

.nav-hover:hover {
  transform: scale(1.2);
  transition: 0.2s ease;
  border-radius: 8px;
}

.nav-hover:hover a {
  font-weight: bold;
  letter-spacing: 2px;
  text-shadow: 1px 1px 1px rgb(128, 128, 128);
}


.banner-bg {
  width: 100%;
  overflow: hidden;
  background-color: #5e2e66;
  padding: 20px 0;
  position: relative;
}

.banner-line {
  display: flex;
  align-items: center;
  animation: scrollBanner 8s linear infinite;
  width:max-content;
  will-change: transform;
  white-space: nowrap;
}

.banner-line-img{
  display: flex;
  align-items: center;
  width:max-content;
  will-change: transform;
  white-space: nowrap;
  animation: scrollBanner 15s linear infinite;
  background-color: #ffffff;
  gap: 20px;
}
.banner-group {
  display: flex;
  gap: 10px;
  min-width: 100vw;
  padding-right: 20px; 
}

.banner-sponsor{
  display: inline-block;
  flex-shrink: 0;
  color: aliceblue;
  letter-spacing: 1px;
}

.banner-sponsor h4 {
  margin-bottom: 0;
  flex: 0 0 auto;
}

@keyframes scrollBanner {
  0% {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

.custom-text{
  font-size: 18px;
}

.item-1{
  height: 350px;
  object-fit: contain;
}
.img-detail {
    object-fit: contain;
    height: 400px;
    width: 25%;
  }

.item-2 {
  height: 500px;
  width: 100%;
  object-fit: contain;
}

.img-detail-2 {
    height: 450px;
    width: 100%;
    object-fit: contain;
  }

.img-detail-3 {
    height: 450px;
    width: 50%;
    object-fit: contain;
  }


.carousel-indicators [data-bs-target] {
  background-color:#74548b;
}
.carousel-indicators .active {
  background-color: #5e2e66;
}

.cantine-indicators{
  margin-top: 20px;
  margin-bottom: 0;
}
.cantine-indicators [data-bs-target]{
  background-color: #72012d;
}

.panel {
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.panel-1 {
  height: 70vh;
  flex-direction: column;
  background-color: #fbf4f4;
  display: flex;
  justify-content: start;
  align-items: center;
}

.panel-2 {
  height: auto;
  background-color: #e98b47;
}

.panel-3 {
  background-color: #74548b;
}

.panel-4 {
  height: 100vh;
  background-color: #72012d;
}

.panel-5 {
  height: 100vh;
  background-color: #74548b;
}

.maps{
    width: 80%;
    height: 200px;
}

.festival-text{
  font-size: 14px;
  text-align: justify;
}

.bio{
  font-size: 15px;
}

.btn{
  border-radius: 50px;
  transition: trasform 0.3s ease;
  color: #74548b;
  font-weight:500;
}

.btn:hover{
  box-shadow: 2px 2px 2px black;
  transform: scale(1.2);
  transition: 0.3s ease-out;
  color: #541360;
  text-decoration: underline;
}


.purple{
  color: #541360;
}

.artist-name{
  font-size: 30px;
  font-weight:600;
  color: white;
  margin-bottom: 0;
}

.artist-description{
  font-weight: 200;
  color: white;
}

.artist-card{
  width: 400px;
  height: 300px;
  transition: transform 0.3s ease;
}
.artist-card:hover{
  transform: scale(1.1);
}

.artist-1{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Andrea-Pomponio/EEC6ECC1-E061-4139-88EF-F8674CD02AEF.JPG);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center;
}

.artist-2{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Antonio-Paternò/IMG_7455.jpeg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}

.artist-3{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Dallas/Dallas-pic.jpg);
  background-size: cover;
  background-position: top;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-4{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Elena-Cialente/Cialente-Boscocorto.jpeg);
  background-size: cover;
  background-position: center 30%;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-5{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Ester-Crocetta/ester-crocetta-pic.png);
  background-size: cover;
  background-position: center 30%;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-6{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Giovanni-Lufino/Lufino-upscaled.png);
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-7{
  background-image:linear-gradient(to top,#000000 0%,transparent 80%), url(/images/artisti/Helen/image1_upscaled.png);
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-8{
  background-image:linear-gradient(to top,#000000 0%,transparent 80%), url(/images/artisti/Irene-Di-Michele/ecf18e0a-0c48-404a-afff-59d005c76356_Original.jpeg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-9{
  background-image:linear-gradient(to top,#000000 0%,transparent 60%), url(/images/artisti/Lorenzo-Dipas/imgprofilo\ rossomattone\ copia.jpg);
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-10{
  background-image:linear-gradient(to top,#000000 0%,transparent 80%), url(/images/artisti/Patrizia-Benedetti/Patrizia-pic.jpeg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-11{
  background-image:linear-gradient(to top,#000000 0%,transparent 80%), url(/images/artisti/Tonio-Vinci/tonio-pic.jpeg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-12{
  background-image:linear-gradient(to top,#000000 0%,transparent 80%), url(/images/artisti/Beatrice-Baldacci/bea-pic.JPG);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-13{
  background-image:linear-gradient(to top,#000000 0%,transparent 80%), url(/images/artisti/Mezzalibbra/IMG-20230923-WA01.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-14{
  background-image:linear-gradient(to top,#000000 0%,transparent 100%), url(/images/artisti/Valentino-Orciuolo/valentino-pic.png);
  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}
.artist-15{
  background-image:linear-gradient(to top,#000000 0%,transparent 70%), url(/images/artisti/Antonio-Di-Loreto/CoverSaporeAbruzzo.jpg);
  background-size: cover;
  background-position: center bottom;
  background-repeat: no-repeat;
  image-rendering: optimizeQuality;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center; 
}

.food-img{
  width: 90%;
  height: 200px;
  border-radius: 20%;
  padding: 10px;
}

.empty-space{
  width: 100%;
  height: 22vh;
}

.spazio{
  width: 100%;
  height: 120px;
}

.bi-youtube{
  color: red;
}

footer a i {
    color: rgb(97, 97, 97);
    transition: color 0.2s ease;
}

footer a:hover i {
    color: #000;
}


/* Animations */
.fadeUp {
  animation: fadeUp 1.3s ease;
}

.fadeDown {
  animation: fadeDown 1.3s ease;
}

.fadeLeft {
  animation: fadeLeft 2s;
}


@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(50px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeDown {
  from {
    opacity: 0;
    transform: translateY(-30px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeLeft {
  from {
    opacity: 0;
    transform: translateX(-30px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

/* Da 0 a SM */
@media (max-width: 575px) {
  h6{
    font-size: 12px;
  }

  .hero{
    width: auto;
    height: 400px;
  }
  .custom-title {
    font-size: 38px;
  }

  .custom-text{
    font-size: 23px;
  }

  .navbar-custom {
    gap: 1;
    font-size: small;
  }

  .text-custom {
    font-size: 32px;
  }

  .text-custom3{
    font-size: 14px;
  }

  .text-custom2 {
    font-size: 13px;
  }

  .subtitle {
    font-size: 20px !important;
  }

  .customImg {
    width: 250px;
    height: 250px;
  }

  .panel-5{
    height: 125vh;
  }

  .img-detail {
    object-fit: contain;
    width: 220px;
    height: 300px;
  }

  .artist-card{
    width: 350px;
    height: 250px;
  }

  .artist-name{
    font-size: 22px;
    font-weight:600;
    color: white;
    margin-bottom: 0;
  }

  .artist-description{
      font-weight: 200;
      font-size: 12px;
      color: white;
  }

  .food-img{
    height: 150px;
    width: 100%;
  }

}

/* Da SM in poi */
@media (min-width: 575px) {

  .navbar-custom {
    font-size: 30px;
  }

  .hero{
    height: 700px;
  }

  .custom-text{
    font-size: 30px;
  }

  .text-custom2 {
    font-size: 15px;
  }

  .img-test-1, .img-test-2, .img-test-3,
  .img-test-4, .img-test-5, .img-test-6,
  .img-test-7, .img-test-8, .img-test-9,
  .img-test-10, .img-test-11, .img-test-12{
    height: 80px;
  }

  .festival-text{
    width: 100%;
    font-size: 16px;
  }

  .food-img{
    height: 250px;
  }

}

/* Da SM a MD */
@media (min-width: 576px) and (max-width: 768px) {
  .custom-title{
    font-size: 38px;
  }

  .hero {
    width: 100%;
    height: auto;
  }

  .img-detail {
    object-fit: contain;
    height: 90vh;
    width: 40%;
  }
}

/* Da MD a LG */
@media (min-width: 768px) and (max-width: 1100px) {

  li>a{
    font-size: 13px;
  }
  .custom-title{
    font-size: 52px;
  }

  .festival-text{
    font-size: 18px;
    width: 90%;
  }

  .hero{
    height: 700px;
    width: auto;
  }

  .panel-2{
    height: 80vh;
    padding: 20px;
  }

  .img-detail {
    object-fit: contain;
    height: 300px;
    width: 30%;
  }


  .artist-card{
    width: 600px;
    height: 400px;
  }

}



/* Da LG in poi */

@media (min-width: 1100px) {

  li>a{
    font-size: 15px;
  }

  .hero{
    width: auto;
    height: 800px;
  }

  .custom-title {
    font-size: 80px;
  }

  .custom-text{
    font-size: 35px;
  }

  .text-custom2 {
    font-size: 16px;
  }

  .separator {
    width: 40%;
  }

  .panel-1{
    padding-top: 50px;
  }

  .panel-2{
    height: 100vh;
  }

  .item-1{
  height: 450px;
  object-fit: contain;
  }

  iframe{
    height: 400px;
  }

  .cantines{
    width: 50%;
  }

  .img-detail {
    object-fit: contain;
    height: 400px;
    width: 50%;
  }
  .img-detail-3 {
    object-fit: contain;
    height: 450px;
    width: 30%;
  }

  .artist-card{
    width: 600px;
    height: 400px;
  }

  .festival-text{
    width: 80%;
    font-size: 20px;
  }

  .bio{
  font-size: 17px;
}

  .artist-9{
    background-position: top ;
  }

  .food-img{
    width: 80%;
  }
  

}

/* Da XL in poi */
@media (min-width: 1400px) {

  .hero{
    width: auto;
    height: 700px;
  }

  .artist-card{
    width: 700px;
    height: 500px;
  }

  .festival-text{
    width: 80%;
    font-size: 23px;
  }
}